#
# spec file for package e2fsprogs
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           e2fsprogs
BuildRequires:  udev
License:        GPL v2 or later
Group:          System/Filesystems
Provides:       e2fsbn ext2fs
Obsoletes:      ext2fs
PreReq:         %install_info_prereq
AutoReqProv:    on
Version:        1.38
Release:        25.40.18
Summary:        Utilities for the Second Extended File System
Url:            http://e2fsprogs.sourceforge.net
Source:         %{name}-%{version}.tar.bz2
Patch0:         owner_change.diff
Patch1:         elf.diff
Patch3:         %{name}-1.35-libdir.diff
Patch4:         %{name}-1.33-fsckdevdisplay.diff
Patch5:         %{name}-1.33-codecleanup.diff
Patch6:         %{name}-1.34-gettext_version.diff
Patch7:         %{name}-1.34-install_shlibs.diff
Patch8:         %{name}-1.34-uint_overflow.diff
Patch15:        e2fsprogs-blkid.diff
Patch16:        e2fsprogs-codecleanup.diff
Patch17:        e2fsprogs-mdraid.patch
Patch18:        e2fsprogs-probe_reiserfs-fpe.patch
Patch19:        e2fsprogs-base_devt.patch
Patch20:        e2fsprogs-udev.patch
Patch21:        close.patch
Patch22:        e2fsprogs-1.38-inode_size.patch
Patch23:        fsck-ignore-mounted.patch
Patch24:        e2fsprogs-1.38-libuuid_threads.patch
Patch25:        e2fsprogs-shared_lib.patch
Patch26:        e2fsprogs-mklost+found.patch
Patch27:        e2fsprogs-debugfs_recursive_loops.patch
Patch28:        e2fsprogs-blkid_closeleakfix.patch
Patch29:        e2fsprogs-check_fs_open-in-dump_unused.patch
Patch50:        e2fsprogs-1.39-VUL0_integer_overflow.patch
Patch51:        e2fsprogs-1.38-enable_resize.patch
# bnc#376918
Patch53:        e2fsprogs-1.38-dumpe2fs_print_uuid.patch
Patch55:        resize2fs-clean-up-the-resize-inode-properly-if-necessary
Patch56:        e2fsprogs-1.38-resize2fs-journal-fix.patch
Patch57:        e2fsprogs-1.38-uuid_gen.patch
#16TB fixes
Patch58:        e2fsprogs-1.38-mke2fs_16TB.patch
Patch59:        e2fsprogs-1.38-resize_inode_reserve_unsigned.patch
Patch60:        e2fsprogs-1.38-fix_formats.patch
Patch61:        e2fsprogs-1.38-32_bit_bitops.patch
Patch62:        e2fsprogs-1.38-filefrag.patch
Patch63:        e2fsprogs-1.39-ext2fs_div_ceil.patch
Patch64:        e2fsprogs-1.39-fix-loop-wraps.patch
Patch65:        e2fsprogs-1.39-e2p_percent.patch
Patch66:        e2fsprogs-1.39-group_desc_loops.patch
Patch67:        e2fsprogs-1.39-unused_group_blocks.patch
Patch68:        e2fsprogs-1.39-fix_formats.patch
Patch69:        e2fsprogs-1.39-group_block_inlines.patch
Patch70:        e2fsprogs-1.39-32_bit_inodes.patch
Patch71:        e2fsprogs-1.39-more_rounding_overflows.patch
Patch72:        e2fsprogs-1.39-e2p_percent_div.patch
Patch73:        e2fsprogs-1.39-use_get_device_size2.patch
Patch74:        e2fsprogs-1.38-uuidgen-32-bit-overflow.patch
Patch75:        e2fsprogs-Fix-overhead-calculation-in-ext2fs_initialize.patch

# libcom_err patches
Patch30:        libcom_err-no-static-buffer.patch
Patch31:        libcom_err-no-init_error_table.patch
Patch32:        libcom_err-no-e2fsck.static.patch
Patch33:        libcom_err-mutex.patch

# ext2 resize patches
Patch40:        ext2resize-cvs-20040419.patch
Patch41:        ext2resize-gcc34-fixes.patch
Patch42:        ext2resize-printf-format-fixes.patch
Patch43:        ext2resize-compiler-warning-fixes.patch
Patch44:        ext2resize-canonicalise.patch
Patch45:        ext2resize-byteorder.patch
Patch46:        ext2resize-nofallback.patch
Patch47:        ext2resize-nowrite.patch
Patch48:        e2fsprogs-1.38-bnc393095.patch
# Patch52 removes stuff about filesystem preparation from the ext2online man page
# because we do no longer need the tool ext2prepare, see bnc#459246
Patch52:        ext2resize-ext2online-man-rm-ext2prepare.patch
Patch54:        ext2resize-ext2online-man-rm-ext2resize.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define ext2resize_name ext2resize-1.1.17
Source1:        %{ext2resize_name}.tar.bz2

%description
Utilities needed to create and maintain ext2 and ext3 file systems
under Linux. Included in this package are: chattr, lsattr, mke2fs,
mklost+found, tune2fs, e2fsck, resize2fs, and badblocks.



Authors:
--------
    Remy Card <card@masi.ibp.fr>
    Theodore Ts'o <tytso@mit.edu>

%package devel
License:        GPL v2 or later
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/C and C++
AutoReqProv:    on
Obsoletes:      ext2fs_d
Provides:       ext2fs_d
Requires:       e2fsprogs == %version libcom_err

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Remy Card <card@masi.ibp.fr>
    Theodore Ts'o <tytso@mit.edu>

%package -n libcom_err
License:        GPL v2 or later
Summary:        com_err library
Group:          System/Libraries
Provides:       libcom_err-devel = %{version}
AutoReqProv:    on

%description -n libcom_err
com_err is an error message display library.



Authors:
--------
    Remy Card <card@masi.ibp.fr>
    Theodore Ts'o <tytso@mit.edu>

%prep
%setup -q -a1
# e2fsprogs patches
%patch0 -p1
%patch1
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch15
%patch16
%patch17
%patch18
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22
%patch23
%patch24 -p1
%patch25
%patch26 -p1
%patch27 -p1
%patch28
%patch29 -p1
%patch50 -p1
%patch51 -p1
%patch53 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
#16TB fixes
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1
# libcom_err patches
%patch30 -p1
%patch31 -p1 
%patch32 -p1
%patch33 -p1
# ext2 resize patches 
find . -type f|xargs chmod u+w
pushd %{ext2resize_name}
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p2
%patch46 -p2
%patch47 -p2
# Patch52 removes stuff about filesystem preparation from the ext2online man page
# because we do no longer need the tool ext2prepare, see bnc#459246
%patch52
%patch54
popd
%patch48

%build
%{?suse_update_config:%{suse_update_config -f}}
rm aclocal.m4
rm -f po/Makefile.in
autoreconf --force --install
patch -p0 -i %{PATCH7}
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -W -Wall -Wstrict-prototypes -Wpointer-arith -Wno-unused-parameter"
./configure --enable-dynamic-e2fsck				\
	--prefix=%{_prefix} --with-root-prefix='' 		\
	--mandir=%{_mandir} --infodir=%{_infodir} --libdir=%{_libdir} \
	--enable-elf-shlibs \
	--disable-evms --with-ldopts=-pthread
make
#make check
#make gcc-wall
export CFLAGS="$RPM_OPT_FLAGS"
pushd %{ext2resize_name}
# aclocal
# automake -a -f
# autoconf
autoreconf --force --install
./configure 							\
	--prefix=%{_prefix} 			 		\
	--mandir=%{_mandir} --infodir=%{_infodir} --libdir=%{_libdir}
make
popd

%install
rm -rf $RPM_BUILD_ROOT
make install install-libs DESTDIR=$RPM_BUILD_ROOT lib=%{_lib} 
%{find_lang} %{name}
rm $RPM_BUILD_ROOT%{_libdir}/e2initrd_helper
pushd %{ext2resize_name}
make DESTDIR=$RPM_BUILD_ROOT install
# For now, we only want to package up the ext2online binary.  Delete the
# others.
rm -f $RPM_BUILD_ROOT%{_sbindir}/ext2resize
rm -f $RPM_BUILD_ROOT%{_sbindir}/ext2prepare
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/ext2resize*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/ext2prepare*
# We want some of the ext2resize doc files to be clearly identified as
# not being part of e2fsprogs!
mv AUTHORS AUTHORS.ext2resize
mv COPYING COPYING.ext2resize
mv NEWS NEWS.ext2resize
mv README README.ext2resize
mv doc/HOWTO doc/HOWTO.ext2resize
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc RELEASE-NOTES ChangeLog README RELEASE-NOTES doc/draft-leach-uuids-guids-01.txt doc/libblkid.txt
%doc %{ext2resize_name}/AUTHORS.ext2resize
%doc %{ext2resize_name}/COPYING.ext2resize
%doc %{ext2resize_name}/NEWS.ext2resize
%doc %{ext2resize_name}/README.ext2resize
%doc %{ext2resize_name}/doc/HOWTO.ext2resize
/sbin/badblocks
/sbin/debugfs
/sbin/dumpe2fs
/sbin/e2fsck
/sbin/e2label
/sbin/fsck
/sbin/fsck.ext2
/sbin/fsck.ext3
/sbin/mke2fs
/sbin/mkfs.ext2
/sbin/mkfs.ext3
/sbin/resize2fs
/sbin/tune2fs
/sbin/e2image
/sbin/logsave
/sbin/blkid
/sbin/findfs
/usr/bin/chattr
/usr/bin/lsattr
/usr/bin/uuidgen
/usr/sbin/mklost+found
/usr/sbin/filefrag
/%{_lib}/libblkid.so.*
/%{_lib}/libe2p.so.*
/%{_lib}/libext2fs.so.*
/%{_lib}/libuuid.so.*
%{_infodir}/libext2fs.info.gz
%{_mandir}/man1/chattr.1.gz
%{_mandir}/man1/lsattr.1.gz
%{_mandir}/man1/uuidgen.1.gz
%{_mandir}/man8/*.8.gz
# ext2resize files
%{_sbindir}/ext2online
%{_mandir}/man8/ext2online.8*

%post
/sbin/ldconfig
%install_info --info-dir=%{_infodir} %{_infodir}/libext2fs.info.gz

%postun
/sbin/ldconfig
%install_info_delete --info-dir=%{_infodir} %{_infodir}/libext2fs.info.gz

%files devel
%defattr(-, root, root)
%{_libdir}/libblkid.a
%{_libdir}/libe2p.a
%{_libdir}/libext2fs.a
%{_libdir}/libuuid.a
%{_libdir}/libblkid.so
%{_libdir}/libe2p.so
%{_libdir}/libext2fs.so
%{_libdir}/libuuid.so
/usr/include/e2p
/usr/include/ext2fs
/usr/include/uuid
/usr/include/blkid
%_libdir/pkgconfig/blkid.pc
%_libdir/pkgconfig/e2p.pc
%_libdir/pkgconfig/ext2fs.pc
%_libdir/pkgconfig/uuid.pc
%{_mandir}/man3/*.3.gz

%files -n libcom_err
%defattr(-, root, root)
/%{_lib}/libcom_err.so.*
/%{_lib}/libss.so.*
%_datadir/et
%_datadir/ss
%_bindir/compile_et
%_bindir/mk_cmds
%{_mandir}/man1/compile_et.1.gz
%{_mandir}/man1/mk_cmds.1.gz
%{_libdir}/libcom_err.so
%{_libdir}/libcom_err.a
%{_libdir}/libss.a
%{_libdir}/libss.so
%_libdir/pkgconfig/com_err.pc
%_libdir/pkgconfig/ss.pc
%_includedir/et
%_includedir/ss

%post -n libcom_err -p /sbin/ldconfig

%postun -n libcom_err -p /sbin/ldconfig

%changelog
* Mon Jan 17 2011 jack@suse.cz
- Properly calculate overhead in ext2fs_initialize() [bnc#663648]
* Wed Jan  5 2011 jack@suse.cz
- Refreshed patches to apply without fuzz
* Wed Jan  5 2011 jack@suse.cz
- Fix time overflow when uuid is computed on a 32-bit machine [bnc#647635]
* Tue Apr 13 2010 jack@suse.cz
- Fixes all around e2fsprogs to make tools work with filesystems larger than
  8 TB [bnc#572945]
* Thu Feb  4 2010 jack@suse.cz
- Fix generation of duplicate uuids when libuuid called from several
  threads several times per second [bnc#545734]
* Wed Jan 27 2010 jack@suse.cz
- Allow creation of filesystem of size 16TB - 1 block with 4k
  block size [bnc#572945]
* Tue Jan 26 2010 jack@suse.cz
- update sb journal backup if journal was moved [bnc#558035]
* Tue Jan 26 2010 jack@suse.cz
- Clean up the resize inode properly if necessary after resizing
  [bnc#558035]
* Wed Jan 13 2010 jack@suse.cz
- Updated ext2online(8) manpage to not reference ext2resize which
  we don't ship [bnc#380579]
* Tue Jul 14 2009 hvogel@suse.de
- Fix bug which could cause dumpe2fs to fail to display a the
  journal or hash seed UUID. [bnc#376918]
* Thu Apr  2 2009 crrodriguez@suse.de
- e2fsck: potential data corruptor bug in journal recovery [bnc#393095]
* Wed Mar  4 2009 jsmeix@suse.de
- ext2resize-ext2online-man-rm-ext2prepare.patch removes stuff
  about filesystem preparation from the ext2online man page
  because we do no longer need the tool ext2prepare (bnc#459246)
* Thu Dec  6 2007 mkoenig@suse.de
- set EXT2_FEATURE_COMPAT_RESIZE_INODE by default in mke2fs
  [#279180,FATE#302553]
* Fri Nov 23 2007 mkoenig@suse.de
- fix integer overflow [#340473]
* Wed Jun 20 2007 mkoenig@suse.de
- fix uuid duplicates patch [#189640]
  * detach shm segment after use
  * set SEM_UNDO for semaphore operations, otherwise we do not
    get a clean state after interruption by a signal
* Thu Jan 25 2007 mkoenig@suse.de
- fix segfault im debugfs [#238140]
* Tue Jan  9 2007 ro@suse.de
- provide libcom_err-devel in libcom_err
* Tue Nov 21 2006 mkoenig@suse.de
- fix close leak in blkid [#200540]
* Wed Oct 25 2006 mkoenig@suse.de
- avoid recursive loops due to symlinks in /dev [#211978]
* Thu Oct 19 2006 mkoenig@suse.de
- fix build of shared lib
- fix bug in semaphore handling
- fix mklost+found buffer overflow [#212586], SWAMP-ID 6432
* Tue Sep 26 2006 mkoenig@suse.de
- Fix bug in fsck udev/libvolume_id patch [#205671],
  SWAMP-ID 6432
* Fri Sep  1 2006 mkoenig@suse.de
- fixed uuid bug [#189640], SWAMP-ID 5766
* Wed Feb  8 2006 hare@suse.de
- Fix fsck -m (#146606) to really check filesystems.
* Mon Jan 30 2006 hvogel@suse.de
- Document -I inode-size [#145445]
* Sun Jan 29 2006 hvogel@suse.de
- fix hares patch
* Fri Jan 27 2006 hare@suse.de
- Add option to not return an error code for mounted
  filesystems (#145400).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 hvogel@suse.de
- Support ext2/ext3 online resize
* Mon Dec 12 2005 hvogel@suse.de
- remove lib/et/test_cases/imap_err* from the tarball because
  they are not distributeable.
* Tue Dec  6 2005 pth@suse.de
- remove unnecessary type-punning
- reduce compiler warnings
* Tue Nov 15 2005 jblunck@suse.de
- added close.patch provided by Ted Tso (IBM) to fix bug #132708
* Mon Nov 14 2005 hare@suse.de
- Use devt when comparing devices
- fsck: Use information provided by udev for detecting devices
* Wed Oct  5 2005 hvogel@suse.de
- fix too few arguments to a *printf function
- require libcom_err on e2fsprogs-devel
* Fri Sep  9 2005 hvogel@suse.de
- add gross hack to avoid divide by zero in probe_reiserfs
  [#115827]
* Mon Aug  8 2005 hvogel@suse.de
- added environment variable BLKID_SKIP_CHECK_MDRAID to work around
  broken software raid detection [Bug #100530]
* Tue Jul  5 2005 hvogel@suse.de
- update to version 1.38
- mt reworked his patches a bit. See Bug #66534
* Thu Jun 23 2005 hvogel@suse.de
- call ldconfig in post/postun
- add version to devel package dependencie
- readd missing patch (7)
* Thu Apr 28 2005 hvogel@suse.de
- update to version 1.37
- mt reworked one libcom_err patch a bit to provide more
  meaningfull error handling
- fix retuen value in inode.c
* Thu Mar 31 2005 hvogel@suse.de
- split libcom_err to a subpackage
- add mutex synchronization to e2fsprogs/lib/et
- removed usage of a static buffer in error_message()
- disabled init_error_table function
- disabled build of unused e2fsck.static
* Fri Mar 18 2005 hvogel@suse.de
- fix endian unsafeness in getopt (#73855)
* Tue Feb  8 2005 hvogel@suse.de
- Update to 1.36 final
* Tue Aug 10 2004 pth@suse.de
- Update to 1.35 RC5
* Wed Mar 17 2004 pth@suse.de
- Don't build the EVMS plugin because it's out of date for
  EVMS in kernel 2.6.
* Thu Mar  4 2004 pth@suse.de
- Add patch from Olaf Hering that makes fsck read a different
  blkid file via BLKID_FILE environment var (#35156)
* Thu Feb 19 2004 kukuk@suse.de
- Remove obsolete recode call
* Mon Jan 12 2004 ro@suse.de
- removed run_ldconfig again
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Thu Oct  2 2003 pthomas@suse.de
- Add patch from Kurt Garloff to make e2fsprogs compile
  with latest kernel headers (SCSI_BLK_MAJOR undefined).
* Mon Sep 15 2003 pthomas@suse.de
- Fix czech message catalog which has been transformed twice
  from latin2 to utf-8 and add an iconv call to the spec file
  that will make building fail if the file is corrected upstream.
* Sat Aug 30 2003 agruen@suse.de
- Fix an endianness bug in ext2fs_swap_inode: Fast symlinks that
  have extended attributes are acidentally byte swapped on
  big-endian machines.
* Fri Aug  1 2003 pthomas@suse.de
- Apply patch from Ted T'so for badblocks.
* Thu Jul 31 2003 pthomas@suse.de
- Update to 1.34.
- Various fixes to libcom_err to make it really compatible
  to the heimdal version.
- Fix int<->pointer casts.
- Fix places that may break strict aliasing.
* Thu Jun 19 2003 ro@suse.de
- added directory to filelist
* Wed May 14 2003 pthomas@suse.de
- Use %%defattr
- Include all installed files.
* Tue Apr 29 2003 mfabian@suse.de
- add libblkid.so* and libblkid.a to file lists
* Thu Apr 24 2003 pthomas@suse.de
- Update to 1.33 and adapt patches.
- Add missing headers where necessary.
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Feb  7 2003 ro@suse.de
- added install_info macros
* Tue Oct  1 2002 garloff@suse.de
- Fix segfault in display of real device in presence of volume
  name. #20422
* Tue Sep  3 2002 mls@suse.de
- remove duplicate evms scan (already included in 1.28)
- fix volume group scan bug
* Mon Sep  2 2002 agruen@suse.de
- Update to 1.28. Includes very minor fixes in htree, which we have
  disabled anyway, one fix that we had in a separate patch, and
  has additional release notes.
* Mon Aug 19 2002 agruen@suse.de
- Update to 1.28-WIP-0817, which includes Extended Attribute
  and several smaller fixes. We disable htree support and don't
  install the evms library for now.
- Remove `make gcc-wall' for now (as it does a `make clean' in
  doc/).
* Thu Aug 15 2002 mls@suse.de
- support jfs, reiserfs, evms in label/uuid scan (code stolen
  from util-linux:mount)
* Sun Jul 28 2002 kukuk@suse.de
- Remove unused tetex from neededforbuild
* Fri Jul 19 2002 olh@suse.de
- use a better method for finding missed filelist entries
* Fri Apr 12 2002 sf@suse.de
- added %%{_libdir}
- added fix for lib/lib64
* Thu Mar 28 2002 bk@suse.de
- fix man pages, filelist and add check for missing files in packs
* Wed Mar 27 2002 bk@suse.de
- Update to 1.27, fixes resource limit problem for other archs and
  merges many patches
* Thu Mar  7 2002 pthomas@suse.de
- Add patch from Ted T'so to keep e2fsck from dumping
  core when the journal inode is missing.
* Mon Mar  4 2002 pthomas@suse.de
- Fix implicit function declarations and some other gcc warnings.
- Include patch from Kurt Garloff to make e2fsck display the
  device name in addition to the volume label. Adapt it to 1.26.
- Adapt BSD_disklables.diff to new code.
- Set LC_CTYPE in addition to LC_MESSAGES.
- Repack with bzip2.
* Fri Mar  1 2002 bk@suse.de
- Update to 1.26. This release has a number of critical bug
  fixes over the previous release, version 1.25:
* Fri Feb 15 2002 pthomas@suse.de
- Use %%{_lib} and %%{_libdir}.
* Wed Feb 13 2002 pthomas@suse.de
- Make heimdal-devel conflict e2fsprogs-devel.
  Temporary solution for bug #13145
* Thu Dec 13 2001 pthomas@suse.de
- Add mkfs.ext2.8 because mkfs.8 from util-linux references it.
  Fixes bug #12613.
* Fri Nov 23 2001 pthomas@suse.de
- Add accidently left out e2image to file list. Fixes bug
  [#12009]
* Wed Oct 31 2001 ro@suse.de
- fix for axp: should malloc buffer _before_ use
* Wed Oct 10 2001 pthomas@suse.de
- Update to 1.25.
- Remove patches not needed anymore.
- Change mke2fs to output warnings to stderr not stdout.
- Repack as bz2.
* Mon Sep 24 2001 olh@suse.de
- replace ext2fs_d
* Fri Sep 21 2001 pthomas@suse.de
- Add patch for mke2fs from 1.25 as that bug seems to be the
  reason for the mk_initrd warning.
* Wed Sep 12 2001 pthomas@suse.de
- Update to 1.24a:
  - Fix brown-paper bug in mke2fs which caused it to segfault.
  - Revert the BLKGETSIZE64 support as this ioctl has been used
    by an unofficial kernel patch to update the last sector on
    the disk, and this was causing disk corruption problems as a
    result.
  - Mke2fs is now more careful about zapping swap space signatures
    and other filesystem/raid superblock magic values so.
  - E2fsck will no longer complain if the the mode of
    EXT2_RESIZE_INO is a regular file
  - mke2fs and tune2fs will allow the use of UUID= or LABEL=
    specifiers when specifying the external journal device.
    tune2fs will also search devices looking for the external
    journal device when removing.
* Fri Aug 17 2001 ro@suse.de
- update to 1.23 to enable external journals on ext3
* Wed Aug 15 2001 pthomas@suse.de
- Update to 1.22.
- Drop fsck Patch as code changed.
- Use LD_LIBRARY_PATH to run test programs.
* Fri Jun  8 2001 pthomas@suse.de
- Remove incorrect use of AC_REQUIRE (fails with autoconf 2.5)
- Recompress tarball with bzip2.
* Thu Jan 18 2001 schwab@suse.de
- Add Obsoletes: ext2fs_d and Requires: e2fsprogs to devel
  subpackage.
* Mon Nov  6 2000 pthomas@suse.de
- use _mandir and _infodir more consistently in spec file.
* Sun Nov  5 2000 ro@suse.de
- renamed packages to e2fsprogs/e2fsprogs-devel
* Fri Jun  9 2000 kasal@suse.cz
- Build dynamic libraries.  Partition Surprise requires them.
- Make /usr/lib/*.so symlinks relative.
* Thu Mar 23 2000 kukuk@suse.de
- Don't erase BSD labels on Alpha
- Add Y2K fix to debugfs
* Wed Mar 22 2000 kukuk@suse.de
- Fix ifdefs for gcc 2.95.2
* Tue Feb 22 2000 garloff@suse.de
- Bugfix for the change ...
- ... and change version no of fsck to 1.18a to reflect the change.
* Sun Feb 20 2000 garloff@suse.de
- Patch to be more clever WRT to basenames (used to find out wheter
  a fsck for this device is already running).
- Give better message in case fsck fails, to tell the user what to
  do. (e2fsck only displays the label, nowadays :-( )
* Thu Feb 10 2000 kukuk@suse.de
- Use autoconf to create new configure
* Wed Jan 19 2000 ro@suse.de
- man,info -> /usr/share
* Sun Jan 16 2000 ro@suse.de
- fixed to build on kernels >= 2.3.39
* Sat Nov 13 1999 kukuk@suse.de
- Update to e2fsprogs 1.18
- Create new sub-package ext2fs_d which includes libs and headers
* Mon Nov  8 1999 ro@suse.de
-fixed coredump in e2fsck
* Fri Oct 29 1999 ro@suse.de
-e2fsprogs: 1.17 vital bugfix in e2fsck
* Sun Oct 24 1999 ro@suse.de
- e2fsprogs: update to 1.16, sparse_super is default on when
  called on a > 2.2 kernel, can be overridden with -O none
* Fri Oct 15 1999 garloff@suse.de
- Disabled flushb again. (Moved to ddrescue.)
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep  1 1999 ro@suse.de
- mke2fs: sparse superblocks default back to "off"
* Tue Aug 31 1999 ro@suse.de
- update to 1.15
- cleanup diff and specfile
* Sun Jul 18 1999 garloff@suse.de
- Enabled flushb compilation
* Sat Jun 26 1999 kukuk@suse.de
- Add fix for fsck core dump from beta list
* Tue Mar 16 1999 ro@suse.de
- fixed configure call
* Fri Mar 12 1999 ro@suse.de
- update to 1.14
* Wed Oct 28 1998 ro@suse.de
- respect change in 2.1.126 SCSI_DISK_MAJOR
* Tue Sep  1 1998 ro@suse.de
- update to 1.12
* Sat Apr 26 1997 florian@suse.de
- update to new version 1.10
* Sun Apr 13 1997 florian@suse.de
- update to new version 1.08
- do not include ext2 libs and include files as they are only used by dump
* Thu Jan  2 1997 florian@suse.de
- update to new version 1.06
* Thu Jan  2 1997 florian@suse.de
- update to newer version
- use now static libs instead of 4 small shared libs
* Thu Jan  2 1997 florian@suse.de
  update to version 1.0.4
